POST V1/RateAndTariff.{ext}/ApplicabilityData?pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.RateAndTariff.Entities.RateApplicabilityDetails
NameDescriptionTypeAdditional information
SiteId

No description available

string

None.

SiteNbr

No description available

string

None.

State

No description available

string

None.

AccountNbr

No description available

string

None.

MeterNbr

No description available

string

None.

MeterId

No description available

string

None.

VendorName

No description available

string

None.

RateName

No description available

string

None.

RateId

No description available

string

None.

RateDescription

No description available

string

None.

TypeOfService

No description available

string

None.

InvoiceMonthlyUsage

No description available

decimal number

None.

InvoiceMonthlyDemand

No description available

decimal number

None.

MaxMonthlyUsage

No description available

decimal number

None.

MaxMonthlyDemand

No description available

decimal number

None.

MinDemand

No description available

decimal number

None.

MaxDemand

No description available

decimal number

None.

DemandHistory

No description available

decimal number

None.

MinVolt

No description available

decimal number

None.

MaxVolt

No description available

decimal number

None.

MinUsage

No description available

decimal number

None.

MaxUsage

No description available

decimal number

None.

UsageHistory

No description available

decimal number

None.

DemandAttributes

No description available

string

None.

BasicComments

No description available

string

None.

FixedChargeComments

No description available

string

None.

DemandComments

No description available

string

None.

EnergyComments

No description available

string

None.

SourceWeb

No description available

string

None.

EffectiveStartDate

No description available

date

None.

EffectiveEndDate

No description available

date

None.

Request Formats

application/json, text/json

Sample:
{
  "siteId": "sample string 1",
  "siteNbr": "sample string 2",
  "state": "sample string 3",
  "accountNbr": "sample string 4",
  "meterNbr": "sample string 5",
  "meterId": "sample string 6",
  "vendorName": "sample string 7",
  "rateName": "sample string 8",
  "rateId": "sample string 9",
  "rateDescription": "sample string 10",
  "typeOfService": "sample string 11",
  "invoiceMonthlyUsage": 12.0,
  "invoiceMonthlyDemand": 13.0,
  "maxMonthlyUsage": 14.0,
  "maxMonthlyDemand": 15.0,
  "minDemand": 16.0,
  "maxDemand": 17.0,
  "demandHistory": 18.0,
  "minVolt": 19.0,
  "maxVolt": 20.0,
  "minUsage": 21.0,
  "maxUsage": 22.0,
  "usageHistory": 23.0,
  "demandAttributes": "sample string 24",
  "basicComments": "sample string 25",
  "fixedChargeComments": "sample string 26",
  "demandComments": "sample string 27",
  "energyComments": "sample string 28",
  "sourceWeb": "sample string 29",
  "effectiveStartDate": "2026-06-01T14:14:30.2256227-04:00",
  "effectiveEndDate": "2026-06-01T14:14:30.2256227-04:00"
}

application/xml, text/xml

Sample:
<RateApplicabilityDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.RateAndTariff.Entities">
  <AccountNbr>sample string 4</AccountNbr>
  <BasicComments>sample string 25</BasicComments>
  <DemandAttributes>sample string 24</DemandAttributes>
  <DemandComments>sample string 27</DemandComments>
  <DemandHistory>18</DemandHistory>
  <EffectiveEndDate>2026-06-01T14:14:30.2256227-04:00</EffectiveEndDate>
  <EffectiveStartDate>2026-06-01T14:14:30.2256227-04:00</EffectiveStartDate>
  <EnergyComments>sample string 28</EnergyComments>
  <FixedChargeComments>sample string 26</FixedChargeComments>
  <InvoiceMonthlyDemand>13</InvoiceMonthlyDemand>
  <InvoiceMonthlyUsage>12</InvoiceMonthlyUsage>
  <MaxDemand>17</MaxDemand>
  <MaxMonthlyDemand>15</MaxMonthlyDemand>
  <MaxMonthlyUsage>14</MaxMonthlyUsage>
  <MaxUsage>22</MaxUsage>
  <MaxVolt>20</MaxVolt>
  <MeterId>sample string 6</MeterId>
  <MeterNbr>sample string 5</MeterNbr>
  <MinDemand>16</MinDemand>
  <MinUsage>21</MinUsage>
  <MinVolt>19</MinVolt>
  <RateDescription>sample string 10</RateDescription>
  <RateId>sample string 9</RateId>
  <RateName>sample string 8</RateName>
  <SiteId>sample string 1</SiteId>
  <SiteNbr>sample string 2</SiteNbr>
  <SourceWeb>sample string 29</SourceWeb>
  <State>sample string 3</State>
  <TypeOfService>sample string 11</TypeOfService>
  <UsageHistory>23</UsageHistory>
  <VendorName>sample string 7</VendorName>
</RateApplicabilityDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.RateAndTariff.Entities.RateApplicabilityList
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.RateAndTariff.Entities.RateApplicabilityList

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "RateApplicabilityList",
  "response": {
    "rateApplicabilityDetails": [
      {
        "siteId": "sample string 1",
        "siteNbr": "sample string 2",
        "state": "sample string 3",
        "accountNbr": "sample string 4",
        "meterNbr": "sample string 5",
        "meterId": "sample string 6",
        "vendorName": "sample string 7",
        "rateName": "sample string 8",
        "rateId": "sample string 9",
        "rateDescription": "sample string 10",
        "typeOfService": "sample string 11",
        "invoiceMonthlyUsage": 12.0,
        "invoiceMonthlyDemand": 13.0,
        "maxMonthlyUsage": 14.0,
        "maxMonthlyDemand": 15.0,
        "minDemand": 16.0,
        "maxDemand": 17.0,
        "demandHistory": 18.0,
        "minVolt": 19.0,
        "maxVolt": 20.0,
        "minUsage": 21.0,
        "maxUsage": 22.0,
        "usageHistory": 23.0,
        "demandAttributes": "sample string 24",
        "basicComments": "sample string 25",
        "fixedChargeComments": "sample string 26",
        "demandComments": "sample string 27",
        "energyComments": "sample string 28",
        "sourceWeb": "sample string 29",
        "effectiveStartDate": "2026-06-01T14:14:30.2412491-04:00",
        "effectiveEndDate": "2026-06-01T14:14:30.2412491-04:00"
      },
      {
        "siteId": "sample string 1",
        "siteNbr": "sample string 2",
        "state": "sample string 3",
        "accountNbr": "sample string 4",
        "meterNbr": "sample string 5",
        "meterId": "sample string 6",
        "vendorName": "sample string 7",
        "rateName": "sample string 8",
        "rateId": "sample string 9",
        "rateDescription": "sample string 10",
        "typeOfService": "sample string 11",
        "invoiceMonthlyUsage": 12.0,
        "invoiceMonthlyDemand": 13.0,
        "maxMonthlyUsage": 14.0,
        "maxMonthlyDemand": 15.0,
        "minDemand": 16.0,
        "maxDemand": 17.0,
        "demandHistory": 18.0,
        "minVolt": 19.0,
        "maxVolt": 20.0,
        "minUsage": 21.0,
        "maxUsage": 22.0,
        "usageHistory": 23.0,
        "demandAttributes": "sample string 24",
        "basicComments": "sample string 25",
        "fixedChargeComments": "sample string 26",
        "demandComments": "sample string 27",
        "energyComments": "sample string 28",
        "sourceWeb": "sample string 29",
        "effectiveStartDate": "2026-06-01T14:14:30.2412491-04:00",
        "effectiveEndDate": "2026-06-01T14:14:30.2412491-04:00"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.